Hello,

I'm trying to get iFolder to compile on a linux-sparc64 box. Are there
known issues with linking to 64 bit libraries?

Here's what I have installed:

libflaim-4.8.61
mod_mono-1.1.14
mono-1.1.13.6

I'm trying to compile ifolder3-server-3.5.6123.1.

libFlaimWrapper compiles but doesn't link correctly as shown here:

/bin/sh ../../../../libtool --tag=CXX --mode=link g++ -g -O2 -o
libFlaimWrapper.la -rpath /opt/ifolder-3.5.6123.1/lib -L/usr/lib64
-lpthread -lrt -lstdc++ -ldl -lflaim
libFlaimWrapper_la-CSPObjectIterator.lo
libFlaimWrapper_la-CSPropertyIterator.lo libFlaimWrapper_la-CSPStore.lo
libFlaimWrapper_la-CSPStoreObject.lo libFlaimWrapper_la-FlaimWrapper.lo
g++ -shared -nostdlib
/usr/lib/gcc-lib/sparc-linux/3.3.5/../../../../lib/crti.o
/usr/lib/gcc-lib/sparc-linux/3.3.5/crtbeginS.o
..libs/libFlaimWrapper_la-CSPObjectIterator.o
..libs/libFlaimWrapper_la-CSPropertyIterator.o
..libs/libFlaimWrapper_la-CSPStore.o
..libs/libFlaimWrapper_la-CSPStoreObject.o
..libs/libFlaimWrapper_la-FlaimWrapper.o -L/usr/lib64 -lpthread -lrt -ldl
-lflaim -L/usr/lib/gcc-lib/sparc-linux/3.3.5
-L/usr/lib/gcc-lib/sparc-linux/3.3.5/../../../../lib
-L/usr/lib/gcc-lib/sparc-linux/3.3.5/../../.. -L/lib/../lib
-L/usr/lib/../lib -lstdc++ -lm -lc -lgcc_s
/usr/lib/gcc-lib/sparc-linux/3.3.5/crtendS.o
/usr/lib/gcc-lib/sparc-linux/3.3.5/../../../../lib/crtn.o -Wl,-soname
-Wl,libFlaimWrapper.so.0 -o .libs/libFlaimWrapper.so.0.0.0
/usr/bin/ld: skipping incompatible /usr/lib64/libpthread.so when searching
for -lpthread
/usr/bin/ld: skipping incompatible /usr/lib64/libpthread.a when searching
for -lpthread
/usr/bin/ld: skipping incompatible /usr/lib64/librt.so when searching for -lrt
/usr/bin/ld: skipping incompatible /usr/lib64/librt.a when searching for -lrt
/usr/bin/ld: skipping incompatible /usr/lib64/libdl.so when searching for -ldl
/usr/bin/ld: skipping incompatible /usr/lib64/libdl.a when searching for -ldl
/usr/bin/ld: skipping incompatible /usr/lib64/libflaim.so when searching
for -lflaim
/usr/bin/ld: skipping incompatible /usr/lib64/libflaim.a when searching for
-lflaim
/usr/bin/ld: cannot find -lflaim
collect2: ld returned 1 exit status
make[4]: *** [libFlaimWrapper.la] Error 1



Any ideas?

Thanks!